---
description: Learn how (and why) to sponsor Lando.
metaTitle: Learn how and why to sponsor Lando | Lando
title: Getting Started
---

# Getting Started

Sponsorship is the easiest and often-most-helpful-to-us way to contribute; just register directly with one of the supported sponsorship platforms below or [join The Lando Alliance](https://lando.dev/alliance/join/) and start helping Lando!

## How to Sponsor

While you can sponsor directly using any of the below platforms, we recommend you [join The Lando Alliance](https://lando.dev/alliance/join/) and sponsor through the mechanisms presented there. This way, we can better engage with you in the future.

GitHub Sponsors, Patreon, and Open Collective: all three of these official Lando sponsorship methods are valid but each comes with its own transaction fees and caveats. Broadly speaking, we've adjusted the sponsorship amount to account for transaction fees.

### [With GitHub Sponsors](https://github.com/sponsors/lando) (**preferred**)

[GitHub Sponsors](https://github.com/sponsors/lando) is the best way to sponsor Lando for the reasons as follows:

**Lowest Sponsorship Amount**: GitHub Sponsors doesn't charge a transaction fee right now, so all your sponsorship $$$ helps Lando!
**2X Matching**: GitHub Sponsors will match all sponsorship dollars up to $5,000 in the first year. Your cash goes further!

[Sponsor With GitHub Here](https://github.com/sponsors/lando)

### [With Patreon](https://patreon.com/devwithlando)

The gold standard of sponsoring creatives, [Patreon](https://patreon.com/devwithlando) does charge a transactional fee; hence why you'll see sponsorship rates are a little higher there. Rest assured that Lando gets the same amount, but all things being equal, you might want to use GitHub Sponsors instead.

[Sponsor with Patreon Here](https://patreon.com/devwithlando)

### [With Open Collective](https://opencollective.com/lando)

[Open Collective](https://opencollective.com/lando) has similar drawbacks to Patreon, _however_, it may allow us to redistribute funds to projects Lando relies upon and other contributors in the future. If you're a devotee to the Open Collective ethos, give here, otherwise, GitHub Sponsors!

[Sponsor with Open Collective Here](https://opencollective.com/lando)

## Why Sponsor Lando

Lando is free and open source but freedom isn't free in the land of the brave and home of the Lando. Thousands of man hours have gone into creating Lando and hundreds more are spent each year providing support and maintenance.

By sponsoring Lando with your hard earned American dollars, the Lando team can do the following:

* Fix bugs
* Pay for hosting/bug monitoring
* Develop new features
* Create guides, tutorial, video and improve Lando documentation
* Answer developer questions on [Slack](https://launchpass.com/devwithlando)
* Allow [@pirog](https://github.com/pirog) to see the light of day

If you'd like to read more about why you should sponsor Lando, we encourage you to check out the posts as follows:

* [Why you should sponsor Lando](https://blog.lando.dev/2020/02/09/why-you-should-sponsor-lando/)
* [Why your agency or org should sponsor Lando](https://blog.lando.dev/2020/02/08/why-your-agency-should-sponsor-lando/)
* [Why your PaaS or dev tool should sponsor Lando](https://blog.lando.dev/2020/02/07/why-your-pass-should-sponsor-lando/)

If you are interested in sponsoring at one of our higher tiers, then definitely [contact us](https://lando.dev/contact/) so we can figure out the terms of your sponsorship.
